import { WidgetBase } from '@csnext/cs-client';
import { DocDatasource } from '../../datasources/doc-datasource';
import { IMenu } from '@csnext/cs-core';
import { GraphData } from '@antv/g6';
export default class ClassViewer extends WidgetBase {
    private graph?;
    data?: GraphData;
    private forceLayout?;
    showBaseNode: boolean;
    showRelations: boolean;
    showRelationTypes: boolean;
    showBaseTypes: boolean;
    updateBaseTypes(): void;
    filterChanged(): void;
    get graphSource(): DocDatasource | undefined;
    private updateNode;
    private updateRelation;
    private updateBaseType;
    updateGraph(): void;
    refreshDragedNodePosition(e: any): void;
    initGraph(): void;
    contentLoaded(): void;
    updateMenu(menu: IMenu): void;
    mounted(): void;
}
